summaryrefslogtreecommitdiffstats
path: root/release/picobsd/net/lang/update.en
diff options
context:
space:
mode:
authorabial <abial@FreeBSD.org>1998-08-27 17:38:45 +0000
committerabial <abial@FreeBSD.org>1998-08-27 17:38:45 +0000
commitd38ad5332060d44f048e5b407d0b8e17da9a909c (patch)
tree3a1c3f90cb24f6c1da60d6fc980d38317610a4c8 /release/picobsd/net/lang/update.en
downloadFreeBSD-src-d38ad5332060d44f048e5b407d0b8e17da9a909c.zip
FreeBSD-src-d38ad5332060d44f048e5b407d0b8e17da9a909c.tar.gz
Initial import of PicoBSD v0.4 tree.
Diffstat (limited to 'release/picobsd/net/lang/update.en')
-rwxr-xr-xrelease/picobsd/net/lang/update.en23
1 files changed, 23 insertions, 0 deletions
diff --git a/release/picobsd/net/lang/update.en b/release/picobsd/net/lang/update.en
new file mode 100755
index 0000000..012cbaa
--- /dev/null
+++ b/release/picobsd/net/lang/update.en
@@ -0,0 +1,23 @@
+#!/bin/sh
+# $Id: update.en,v 1.3 1998/08/10 19:17:11 abial Exp $
+pwd=`pwd`
+echo -n "Updating /etc contents on startup floppy... "
+mount /dev/fd0a /start_floppy
+if [ "X$?" != "X0" ]
+then
+ echo ""
+ echo "Cannot mount the floppy read-write!"
+ echo "Check the write-protection..."
+ exit 1
+fi
+cd /etc
+rm *.db
+rm passwd
+cp -Rp . /start_floppy/etc/
+pwd_mkdb master.passwd
+echo " Done."
+echo -n "Updating kernel parameters... "
+kget -incore /start_floppy/kernel.config /stand/vanilla
+umount /dev/fd0a
+cd ${pwd}
+echo " Done."
OpenPOWER on IntegriCloud